=== modified file 'src/Debug.h'
--- src/Debug.h	2012-09-21 14:57:30 +0000
+++ src/Debug.h	2012-11-10 14:46:44 +0000
@@ -107,8 +107,11 @@
 #define debugs(SECTION, LEVEL, CONTENT) \
    do { \
         if ((Debug::level = (LEVEL)) <= Debug::Levels[SECTION]) { \
-                Debug::getDebugOut() << CONTENT; \
-                Debug::finishDebug(); \
+            std::ostream &_dbo=Debug::getDebugOut(); \
+            if (LEVEL > DBG_IMPORTANT) \
+                _dbo << SkipBuildPrefix(__FILE__)<<"("<<__LINE__<<") "<<__FUNCTION__<<": "; \
+            _dbo << CONTENT; \
+            Debug::finishDebug(); \
         } \
    } while (/*CONSTCOND*/ 0)
 
@@ -117,7 +120,8 @@
  *
  * debugs(1,2, HERE << "some message");
  */
-#define HERE SkipBuildPrefix(__FILE__)<<"("<<__LINE__<<") "<<__FUNCTION__<<": "
+//TODO: just before branching 3.3, blanket-remove HERE from the source
+#define HERE ""
 
 /*
  * MYNAME is for use at debug levels 0 and 1 where HERE is too messy.

